Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.beans
Class ThreadConfig

    java.lang.Object
      com.bea.dsp.management.beans.ThreadConfig

All Implemented Interfaces:
  Validatable, java.io.Serializable

    public final class ThreadConfig

extends java.lang.Object
implements java.io.Serializable, Validatable

configuration for the number of threads to be used at the dataspace level.

See Also:
  Serialized Form

Method Summary
`int` | `getCapacityPerQuery()` Returns the max number of threads to used per query.
`int` | `getConcurrentExecutionLimit()`
`void` | `setCapacityPerQuery(int capacityPerQuery)`
`void` | `setConcurrentExecutionLimit(int executionLimit)`
`java.lang.String` | `toString()`
`void` | `validate()` Validates bean specific attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getCapacityPerQuery

    public int getCapacityPerQuery()

  Returns the max number of threads to used per query.

  Returns:
    the max number of threads to used per query

### setCapacityPerQuery

    public void setCapacityPerQuery(int capacityPerQuery)
                             throws ValidationException

  Throws:
    `ValidationException`

### getConcurrentExecutionLimit

    public int getConcurrentExecutionLimit()

### setConcurrentExecutionLimit

    public void setConcurrentExecutionLimit(int executionLimit)
                                     throws ValidationException

  Throws:
    `ValidationException`

### validate

    public void validate()
                  throws ValidationException

  Description copied from interface: `Validatable`
  Validates bean specific attributes.

  Specified by:
    `validate` in interface `Validatable`
  Throws:
    `ValidationException` - if the validation fails.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.